.btn.product-view__button-back {
  width: fit-content;
  padding: 0;
  font-size: 18px;
  color: #7e7e7e;
  transition: none;
}

.btn.product-view__button-back:hover {
  color: #a2a2a2;
}

.btn.product-view__button-back img {
  filter: brightness(0) saturate(100%) invert(49%) sepia(15%) saturate(21%)
    hue-rotate(327deg) brightness(98%) contrast(97%);
}

.btn.product-view__button-back:hover img {
  filter: brightness(0) saturate(100%) invert(69%) sepia(7%) saturate(9%)
    hue-rotate(6deg) brightness(95%) contrast(82%);
}

.product-view__product {
  padding: 24px 0 60px;
  display: grid;
  grid-template-columns: 6fr 4fr;
  gap: 40px;
  border-bottom: 1px solid var(--border-color-light);
}

.product-view__gallery img {
  cursor: pointer;
}

.product-view__image-container {
  max-width: 760px;
  max-height: 760px;
  width: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 16px;
  border: 1px solid var(--secondary-color);
}

.product-view__image-container::after {
  content: "";
  display: block;
  padding-bottom: 100%;
}

.product-view__image {
  width: 100%;
  height: 100%;
  padding: 5%;
  position: absolute;
  object-fit: contain;
}

.product-view__image-select {
  display: grid;
}

.image-swiper {
  width: 100%;
  max-width: 100%;
  max-height: 100vh;
  min-height: 0;
  min-width: 0;
  height: 120px;
  max-height: 120px;
  overflow: hidden;
}

.image-swiper.swiper-initialized {
  height: auto;
  max-height: 100vh;
}

.image-swiper > .image-swiper__wrapper {
  display: none;
}

.image-swiper.swiper-initialized > .image-swiper__wrapper {
  display: flex;
}

.image-swiper__wrapper {
  padding: 0;
  margin-bottom: 0;
}
.image-swiper__slide {
  overflow: hidden;
}

.image-swiper__slide img {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.btn.image-swiper__button {
  height: 100%;
  padding: 0;
  position: absolute;
  top: 0;
  display: flex;
  align-items: center;
  z-index: 2;
}

.btn.swiper-button-lock {
  display: none;
}

.image-swiper__button-prev {
  left: 0px;
}

.image-swiper__button-next {
  right: 0;
}

.image-swiper__button img{
  background-color: rgba(255, 255, 255, 0.5);
  border-radius: 10px;
}

.product-view__name {
  margin: 24px 0;
}

.product-view__name_type_mob {
  display: none;
}

.product-view__info {
  display: grid;
  grid-template-columns: 1fr;
  align-content: baseline;
  gap: 24px;
}

.product-view__description {
  font-size: 20px;
}

.product-view__description > * {
  font-size: inherit;
}

.product-view__price-container {
  display: flex;
  align-items: center;
  gap: 12px;
}

.price-info {
  position: relative;
}

.price-info__button.btn {
  padding: 0;
}

.price-info__description {
  width: 216px;
  padding: 8px 20px;
  display: none;
  position: absolute;
  top: 44px;
  left: 12px;
  color: var(--primary-color);
  background-color: var(--secondary-color);
  border: 1px solid var(--border-color);
}

.product-view__description > br {
  display: block;
  content: "";
  margin-bottom: 24px;
}

.price-info__description.show {
  display: block;
}

.product-view .product-view__button {
  min-height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  margin-bottom: -12px;
}

.related-items {
  padding-top: 20px;
}

.related-items__title {
  margin-bottom: 40px;
  text-align: center;
  font-weight: 400;
}

@media (max-width: 1440px) {
  /* .product-view__image-select > img {
    width: 110px;
  } */
}

@media (max-width: 992px) {
  .product-view__name {
    margin: 20px 0;
  }

  .product-view__info {
    gap: 20px;
  }

  .product-view__description > br {
    margin-bottom: 20px;
  }
}

@media (max-width: 768px) {
  .product-view__product {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }

  .product-view__name {
    display: none;
  }

  .product-view__name_type_mob {
    margin: 0;
    display: inline;
  }

  .product-view .product-view__button {
    margin-bottom: 0;
  }

  .product-view__button-buy {
    grid-area: 1 / 1 / 2 / 2;
  }

  .product-view__price-container {
    grid-area: 2 / 1 / 3 / 2;
  }

  .product-view__description > br {
    margin-bottom: 16px;
  }

  .related-items__title {
    margin-bottom: 24px;
  }
}

@media (max-width: 576px) {
  /* .product-view__image-select {
    justify-content: center;
  } */

  .price-info__description {
    left: -32px;
  }
}
